unit PantallaInformesCompras;

interface

uses
//Variants, 
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms,
  Dialogs, RdxFrame, ExtCtrls, RdxPaneles, RdxBarras, StdCtrls, RdxBotones,
  Entidades, ActnList;

type
  TfrInformesCompras = class(TRdxFrame)
    BarraInformes: TRdxBarraSuperior;
    pnlCuerpo: TPanel;
    RdxPanel1: TRdxPanel;
    Panel1: TPanel;
    Image1: TImage;
    Label1: TLabel;
    Label2: TLabel;
    Panel2: TPanel;
    Panel3: TPanel;
    bSeleccionar: TRdxBoton;
    Panel4: TPanel;
    Panel5: TPanel;
    Panel6: TPanel;
    Panel7: TPanel;
    Image2: TImage;
    Panel8: TPanel;
    Panel9: TPanel;
    RdxBoton1: TRdxBoton;
    Panel10: TPanel;
    Label3: TLabel;
    Label4: TLabel;
    Panel11: TPanel;
    Panel17: TPanel;
    Image4: TImage;
    Panel18: TPanel;
    Panel19: TPanel;
    RdxBoton3: TRdxBoton;
    Panel20: TPanel;
    Label7: TLabel;
    Label8: TLabel;
    Panel21: TPanel;
    imgSombra: TImage;
    Panel27: TPanel;
    Image6: TImage;
    Panel28: TPanel;
    Panel29: TPanel;
    RdxBoton5: TRdxBoton;
    Panel30: TPanel;
    Label11: TLabel;
    Label12: TLabel;
    Panel31: TPanel;
    Panel12: TPanel;
    Image3: TImage;
    Panel13: TPanel;
    Panel14: TPanel;
    RdxBoton2: TRdxBoton;
    Panel15: TPanel;
    Label5: TLabel;
    Label6: TLabel;
    Panel16: TPanel;
    Panel22: TPanel;
    Image5: TImage;
    Panel23: TPanel;
    Panel24: TPanel;
    RdxBoton4: TRdxBoton;
    Panel25: TPanel;
    Label9: TLabel;
    Label10: TLabel;
    Panel26: TPanel;
    Acciones: TActionList;
    actListadoPro: TAction;
    actListadoEtiPro: TAction;
    actListadoPedPro: TAction;
    actListadoFacPen: TAction;
    actListadoIVA: TAction;
    actListadoFacPro: TAction;
    Panel32: TPanel;
    Image7: TImage;
    Panel33: TPanel;
    Panel34: TPanel;
    RdxBoton6: TRdxBoton;
    Panel35: TPanel;
    Label13: TLabel;
    Label14: TLabel;
    Panel36: TPanel;
    actInfEstFacCliPro: TAction;
    procedure actListadoProExecute(Sender: TObject);
    procedure actListadoEtiProExecute(Sender: TObject);
    procedure actListadoPedProExecute(Sender: TObject);
    procedure actListadoFacPenExecute(Sender: TObject);
    procedure actListadoIVAExecute(Sender: TObject);
    procedure actListadoFacProExecute(Sender: TObject);
    procedure actInfEstFacCliProExecute(Sender: TObject);
  protected
//    function CambiarEntidad(EntidadAnterior, Entidad : TRdxEntidad): Boolean; override;
  public
    constructor Create (AOwner: TComponent); override;
  end;

var
  frInformesCompras: TfrInformesCompras;

implementation

{$R *.dfm}

uses
  Tipos, ListarProveedores, GenerarEtiquetasProveedores,
  ListadoPedidosProv, ListadoFacturasProvPenIVA, ListadoFacturasProv,
  InformeEstFacturasCliPro;

constructor TfrInformesCompras.Create(AOwner: TComponent);
begin
  inherited;
//  Entidad := entInformes;
end;

{function TfrInformesCompras.CambiarEntidad(EntidadAnterior, Entidad: TRdxEntidad): Boolean;
begin
  inherited CambiarEntidad(EntidadAnterior, Entidad);
  ConfigurarFrame(Self, Self.Entidad);
end;
}
procedure TfrInformesCompras.actListadoProExecute(Sender: TObject);
begin
  Contenido := TfrListarProveedores.Create(Self);
  Contenido.Modo := Listar;
end;

procedure TfrInformesCompras.actListadoEtiProExecute(Sender: TObject);
begin
  CaptionModal := 'Generar etiquetas de proveedor';
  WidthModal := 515;
  HeightModal := 200;
  ModoModal := Listar;
  EntidadModal := entProveedor;
  ContenidoModal := TfrGenerarEtiquetasProveedores.Create(Self);
end;

procedure TfrInformesCompras.actListadoPedProExecute(Sender: TObject);
begin
  Contenido := TfrListadoPedidosProv.Create(Self);
end;

procedure TfrInformesCompras.actListadoFacPenExecute(Sender: TObject);
begin
  Contenido := TfrListadoFacturasProvPenIVA.Create(Self);
  Contenido.Entidad := entListadoFacturasProvPendientes;
end;

procedure TfrInformesCompras.actListadoIVAExecute(Sender: TObject);
begin
  Contenido := TfrListadoFacturasProvPenIVA.Create(Self);
  Contenido.Entidad := entListadoFacturasProvIVA;
end;

procedure TfrInformesCompras.actListadoFacProExecute(Sender: TObject);
begin
  Contenido := TfrListadoFacturasProv.Create(Self);
end;

procedure TfrInformesCompras.actInfEstFacCliProExecute(Sender: TObject);
begin
  Contenido := TfrInformeEstFacturasCliPro.Create(Self, entInfEstFacPro);
end;

end.
